# fndate

~~~
fndate: manipuler des noms de fichier pour les dater

USAGE
    fndate (FILE|DIR)s...
    fndate -k SRCs... [DESTDIR]
    fndate -m SRCs... [DESTDIR]
    fndate -c COMMAND [ARGs...]

OPTIONS
    --create-or-rename
        Créer un nouveau fichier (option -f) ou créer un nouveau répertoire
        (option -d), ou renommer un fichier existant sans le changer de
        répertoire. C'est l'option par défaut.
    -f, --create-file
        Créer un nouveau fichier. Cette option est ignorée si le fichier ou le
        répertoire spécifié existe. C'est la valeur par défaut
    -d, --create-dir
        Créer un nouveau répertoire. Cette option est ignorée si le fichier ou
        le répertoire spécifié existe.
    -k, --copy
        Copier le fichier SRC vers la destination DESTDIR qui vaut par défaut le
        répertoire courant si un seul fichier source est spécifié. Si plusieurs
        fichiers sources sont spécifiés, il faut absolument spécifier un
        répertoire destination. Dans la destination, les fichiers sont nommés
        avec la date en préfixe.
    -m, --move
        Déplacer le fichier SRC vers la destination DESTDIR qui vaut par défaut
        le répertoire courant si un seul fichier source est spécifié. Si
        plusieurs fichiers sources sont spécifiés, il faut absolument spécifier
        un répertoire destination. Dans la destination, les fichiers sont nommés
        avec la date en préfixe.
    -c, --cmd
        Les arguments sont une commande à lancer. Dans les argument, PLACEHOLDER
        est remplacé par la date. Si le PLACEHOLDER n'est trouvé dans aucun des
        arguments, alors ajouter la date à la fin de la commande. Par exemple,
        voici comment émuler l'option -k
            fndate -c cp src dest/~~
    --string
        Remplacer dans chaque argument le placeholder par la date et afficher le
        résultat.
    -P, --placeholder PLACEHOLDER
        Dans le nom spécifié, remplacer PLACEHOLDER par la date. Par défaut,
        PLACEHOLDER vaut ~~. Si le nom spécifié ne contient pas le PLACEHOLDER,
        il est placé au début.
    -@, --force-date DATE
        Dans le nom spécifié, si la date est déjà présente, forcer son
        remplacement par la valeur spécifiée. Par défaut, le fichier n'est pas
        modifié si la date est déjà présente.
    -F, --format FORMAT
        Spécifier le format de la date à insérer dans le nom du fichier. Par
        défaut, FORMAT vaut 'YYMMDD-'
        Les formats valides sont:
            YYYY année sur 4 chiffres
            YY   année sur 2 chiffres
            MM   mois sur 2 chiffres
            DD   jour sur 2 chiffres
        Tous les autres caractères sont pris tels-quels
    -s, --short
        Equivalent à -F YYMMDD --autof
    -l, --long
        Equivalent à -F YYYMMDD --autof
    --autof
        Option non (pas encore) documentée
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary